package org.gcube.portlets.user.invitefriends.client;

import org.gcube.portlets.user.invitefriends.client.resources.Images;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HasAlignment;
import com.google.gwt.user.client.ui.HasVerticalAlignment;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.VerticalPanel;
/**
 * 
 * @author M. Assante, ISTI-CNR
 *
 */
public class InviteFriendsPanel  extends Composite {
	
	private final InviteServiceAsync service = GWT.create(InviteService.class);
	public static final String DISPLAY_NAME =  "Invite your friends";

	private Image loadingImage;
	private Image postToImage;	

	private VerticalPanel mainPanel = new VerticalPanel();

	public InviteFriendsPanel() {
		super();
		mainPanel.setWidth("100%");
		mainPanel.setStyleName("invites-frame");
		Images images = GWT.create(Images.class);
		loadingImage = new Image(images.membersLoader().getSafeUri());
		postToImage =  new Image(images.postToIcon().getSafeUri());
		
		HTML name = new HTML(DISPLAY_NAME);
		
		name.setStyleName("invites-title");
	
		HorizontalPanel hp = new HorizontalPanel();
		hp.setVerticalAlignment(HasVerticalAlignment.ALIGN_MIDDLE);
		hp.add(name);		
		postToImage.setStyleName("mail-image");
		hp.add(postToImage);
		mainPanel.add(hp);
		
		initWidget(mainPanel);

		postToImage.addClickHandler(new ClickHandler() {
			@Override
			public void onClick(ClickEvent event) {
								
			}
		});
	}


	private void showLoader() {
		mainPanel.clear();
		mainPanel.setWidth("100%");
		mainPanel.setHorizontalAlignment(HasAlignment.ALIGN_CENTER);
		mainPanel.setVerticalAlignment(HasVerticalAlignment.ALIGN_MIDDLE);
		mainPanel.add(loadingImage);
	}
}
